'use client';
import React from 'react';
import { useSession } from 'next-auth/react';

import { DndProvider } from 'react-dnd';
import { HTML5Backend } from 'react-dnd-html5-backend';

import DragNDrop from '../DragNDrop';

const Page = () => {
  const { data: session, status } = useSession();

  if (status === 'loading') return <p>Loading...</p>;
  if (!session) return <p>Access denied</p>;

  return (
    <DndProvider backend={HTML5Backend}>
      <DragNDrop />
    </DndProvider>
  );
};

export default Page;