import React from 'react'

import Logo from './Logo'
import Navbar from './Navbar'
import Bar from "../../feature-specific/Bar";
import SocialMedia from './SocialMedia'

function Header() {
  return (
    <header id='header' className='flex flex-col absolute w-screen top-0 z-10 max-w-[1400px]'>
      <header className='flex flex-row justify-between bg-white/0 backdrop-blur-md shadow py-6 space-x-5 px-4'>
        <Logo></Logo>
        <Navbar></Navbar>
        <SocialMedia></SocialMedia>
      </header>
      <Bar />
    </header>
  )
}

export default Header