import React from "react";

// Row Component
export const Row: React.FC<{ className?: string; children: React.ReactNode }> = ({
  className = "",
  children,
}) => {
  return <div className={`flex flex-wrap ${className}`}>{children}</div>;
};

export default Row;