import Section from "@/components/common/Section";
import Row from "@/components/common/Row";
import Column from "@/components/common/Column";
import TitleBlock from "@/components/common/TitleBlock";
import TextBlock from "@/components/common/TextBlock";
import ImageBlock from "@/components/common/ImageBlock";
import Button from "@/components/common/Button";
import Video from "@/components/common/Video";
import ParallaxSeparator from "@/components/common/ParallaxSeparator";
import Hero from "@/components/feature-specific/Hero/Hero";

export const componentMap = {
    section: Section,
    row: Row,
    column: Column,
    titleBlock: TitleBlock,
    textBlock: TextBlock,
    imageBlock: ImageBlock,
    button: Button,
    video: Video,
    parallaxSeparator: ParallaxSeparator,
    hero: Hero,
};

export const widthClasses = {
    1: "w-full",
    2: "w-1/2",
    3: "w-1/3",
    4: "w-1/4",
    5: "w-1/5",
    6: "w-1/6",
};