import type { Config } from "tailwindcss";

export default {
  content: [
    "./src/pages/**/*.{js,ts,jsx,tsx,mdx}",
    "./src/components/**/*.{js,ts,jsx,tsx,mdx}",
    "./src/app/**/*.{js,ts,jsx,tsx,mdx}",
  ],
  theme: {
    extend: {
      colors: {
        background: "#1B1725",
        foreground: "#F4F4F4",
        primary: "#1768AC",
        secondary: "#F1D302",
        alert: "#C1292E",
      },
    },
  },
  plugins: [],
} satisfies Config;
