#!/bin/bash
set -e

mongosh <<EOF
use admin
db.auth('$MONGO_INITDB_ROOT_USERNAME', '$MONGO_INITDB_ROOT_PASSWORD')

use modula_bd
db.createCollection('example_collection')
db.example_collection.insertOne({
    message: 'Welcome to modula_bd!',
    createdAt: new Date()
})

db.createUser({
    user: 'modula_user',
    pwd: 'modula_password',
    roles: [
        {
            role: 'readWrite',
            db: 'modula_bd'
        }
    ]
})
EOF