import Section from "@/components/common/Section";
import Row from "@/components/common/Row";
import Column from "@/components/common/Column";
import TitleBlock from "@/components/common/TitleBlock";
import TextBlock from "@/components/common/TextBlock";
import ImageBlock from "@/components/common/ImageBlock";
import Button from "@/components/common/Button";
import Video from "@/components/common/Video";
import ParallaxSeparator from "@/components/common/ParallaxSeparator";
import Hero from "@/components/feature-specific/Hero/Hero";

export const componentMap = {
  section: Section,
  row: Row,
  column: Column,
  titleBlock: TitleBlock,
  textBlock: TextBlock,
  imageBlock: ImageBlock,
  button: Button,
  video: Video,
  parallaxSeparator: ParallaxSeparator,
  hero: Hero,
};