import React from "react";

// Column Component
export const Column: React.FC<{ width: string; className?: string; children: React.ReactNode }> = ({
  width,
  className = "",
  children,
}) => {
  return <div className={`${width} ${className} h-full flex flex-col justify-center`}>{children}</div>;
  
};

export default Column;