import React from 'react'

// ImageBlock Component
export const ImageBlock: React.FC<{ src: string; alt: string; className?: string }> = ({
    src,
    alt,
    className = "",
}) => {
    return <img src={src} alt={alt} className={`rounded ${className}`} />;
};

export default ImageBlock