import React from "react";

export const Section: React.FC<{ className?: string; children: React.ReactNode }> = ({
  className = "",
  children,
}) => {
  return <section className={`w-full py-8 px-10 md:px-20 my-10 ${className}`}>{children}</section>;
};

export default Section