import React from 'react'
import { Link } from "react-router-dom";

function Bar() {
  return (
    <div className="w-full flex">
      <div className="flex flex-col md:flex-row flex-wrap w-full">
        {/* Primer botón */}
        <Link
          to="/join-us"
          className="flex-1 bg-yellow-500 text-white text-center py-2 text-xl font-bold cursor-pointer"
        >
          COME JOIN US
        </Link>

        {/* Segundo botón */}
        <Link
          to="/contact-us"
          className="flex-1 bg-red-600 text-white text-center py-2 text-xl font-bold cursor-pointer"
        >
          CONTACT US
        </Link>

        {/* Tercer botón */}
        <Link
          to="/make-donation"
          className="flex-1 bg-green-500 text-white text-center py-2 text-xl font-bold cursor-pointer"
        >
          MAKE A DONATION
        </Link>
      </div>
    </div>
  )
}

export default Bar