import mongoose from 'mongoose';

interface IExample {
  message: string;
  createdAt: Date;
}

const exampleSchema = new mongoose.Schema<IExample>({
  message: String,
  createdAt: Date
});

export const Example = mongoose.models.Example || mongoose.model<IExample>('Example', exampleSchema, 'example_collection');